Skip to main content
GET
/
payroll_payments
cURL
curl --request GET \
  --url https://sandbox.withclasp.com/payroll_payments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.withclasp.com/payroll_payments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.withclasp.com/payroll_payments', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "next": "<string>",
  "previous": "<string>",
  "results": [
    {
      "id": "<string>",
      "member": "<string>",
      "payday": "2023-12-25",
      "period_start": "2023-12-25",
      "period_end": "2023-12-25",
      "hours_worked": "<string>",
      "gross_pay": "<string>",
      "payroll_provider_external_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication with required prefix "Bearer"

Query Parameters

cursor
string

The pagination cursor value.

member
string
page_size
integer

Number of results to return per page.

Response

200 - application/json
next
string | null
previous
string | null
results
object[]